# Kafka Actions

* [Get Kafka Producer Handle](https://github.com/unskript/Awesome-CloudOps-Automation/Kafka/legos/kafka_get_handle/README.md) : Get Kafka Producer Handle
* [Kafka Check In-Sync Replicas](https://github.com/unskript/Awesome-CloudOps-Automation/Kafka/legos/kafka_check_in_sync_replicas/README.md) : Checks number of actual min-isr for each topic-partition with configuration for that topic.
* [Kafka Check Offline Partitions](https://github.com/unskript/Awesome-CloudOps-Automation/Kafka/legos/kafka_check_offline_partitions/README.md) : Checks the number of offline partitions.
* [Kafka Check Replicas Available](https://github.com/unskript/Awesome-CloudOps-Automation/Kafka/legos/kafka_check_replicas_available/README.md) : Checks if the number of replicas not available for communication is equal to zero.
* [Kafka Publish Message](https://github.com/unskript/Awesome-CloudOps-Automation/Kafka/legos/kafka_publish_message/README.md) : Publish Kafka Message
* [Kafka get cluster health](https://github.com/unskript/Awesome-CloudOps-Automation/Kafka/legos/kafka_get_cluster_health/README.md) : Fetches the health of the Kafka cluster including brokers, topics, and partitions.
* [Kafka get count of committed messages](https://github.com/unskript/Awesome-CloudOps-Automation/Kafka/legos/kafka_get_committed_messages_count/README.md) : Fetches the count of committed messages (consumer offsets) for a specific consumer group and its topics.
* [Kafka get topic health](https://github.com/unskript/Awesome-CloudOps-Automation/Kafka/legos/kafka_get_topic_health/README.md) : This action fetches the health and total number of messages for the specified topics.
* [Kafka get topics with lag](https://github.com/unskript/Awesome-CloudOps-Automation/Kafka/legos/kafka_get_topics_with_lag/README.md) : This action fetches the topics with lag in the Kafka cluster.
* [Run a Kafka command using kafka CLI](https://github.com/unskript/Awesome-CloudOps-Automation/Kafka/legos/kafka_run_command/README.md) : Run a Kafka command using kafka CLI. Eg kafka-topics.sh --list --exclude-internal


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.unskript.com/unskript-documentation/connnecting/connectors/apache-kafka/action_kafka.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
